Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Salesforce Organization APIs

Adding Salesforce Organizations

search

Please Note:

Adding Salesforce Organizations

Use the post /v1/cckm/sfdc/add-organizations API to add a Salesforce organization to the CipherTrust Manager based on a Salesforce connection. These organizations can be managed through CCKM on the CipherTrust Manager.

Syntax

curl -k '<IP>/api/v1/cckm/sfdc/add-organizations' -H 'Authorization: Bearer AUTHTOKEN' -H 'Content-Type: application/json' --data-binary $'{\n  "connection": "<connection>",\n  "sfdc_org_id": "<sfdc_org_id>"\n}' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.
connection string Name or ID of the Salesforce cloud connection on the CipherTrust Manager.
sfdc_org_id string ID of the Salesforce organization to be added. To determine the organization ID, run the post /v1/cckm/sfdc/get-organizations or get /v1/cckm/sfdc/organizations API.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/sfdc/add-organizations' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJhOGY3N2IxZS1lOTY2LTQwMjEtODRjMC01YjZiNjAzMTBmOWEiLCJzdWIiOiJsb2NhbHwzM2Y5ZDFmNi04MjJiLTQ0NTItOGM4MC1mYzM0ZGYyZTI3OGQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNjcyMjMzMDAtYjU2ZC00ZmVmLTkwMDEtZGE1NGY2ZDdiMzY4Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImFmMTFhYjM0LTFiNmQtNGY0Zi04ZTEzLTAxOGQ2ZGJlOTZlZiIsImlhdCI6MTYyMDE5NTM4OSwiZXhwIjoxNjIwMTk1Njg5fQ.PLhevpNJb6SRNJwkSZ8k_n_YpZlyU6-Fv8kkYfvsh3Q' -H 'Content-Type: application/json' --data-binary $'{\n  "connection": "sfdc-connection",\n  "sfdc_org_id": "00DB000000040bIMAQ"\n}' --compressed

Example Response

{
    "id": "2473e846-31a8-4ee6-8299-17025548b4e2",
    "uri": "kylo:kylo:cckm:sfdc-organization:2473e846-31a8-4ee6-8299-17025548b4e2",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2021-07-22T09:21:07.019666296Z",
    "updatedAt": "2021-07-22T09:21:07.022868142Z",
    "name": "Thales",
    "sfdc_org_id": "00DB000000040bIMAQ",
    "connection": "sfdc-cnnection",
    "cloud_name": "sfdc",
    "type": "Regular"
}

The sample output displays that a Salesforce organization fetched from the specified connection is added to the CipherTrust Manager.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.